import dortislemhesapmakinasi;

public class bilimselhesapmakinasi2 
{
//bu metod nesne (object) yoluyla aktarma yapmaktad¨r.
 // kurucu metot dortislemhesapmakinesi

 dortislemhesapmakinasi DH;
 double arasonuc;
 double arasonuc2;


 public bilimselhesapmakinasi2(double y)
 {
 //constructor
 DH=new dortislemhesapmakinasi(y);
 arasonuc=0;
 arasonuc2=0;
 }


 public bilimselhesapmakinasi2()
 {
 DH=new dortislemhesapmakinasi();
 arasonuc=0;
 arasonuc2=0;
 }

 public double topla(double x)
 {
 if(arasonuc2==0) {DH.setSonuc(DH.getSonuc()+x);}
 else {DH.setSonuc(DH.getSonuc()+Math.pow(arasonuc2,x));arasonuc2=0;}
 return DH.getSonuc();
 }

 public double cikar(double x)
 {
 if(arasonuc2==0) {DH.setSonuc(DH.getSonuc()-x);}
 else {DH.setSonuc(DH.getSonuc()-Math.pow(arasonuc2,x));arasonuc2=0;}
 return DH.getSonuc();
 }

 public double carp(double x)
 {
 if(arasonuc2==0) {DH.setSonuc(DH.getSonuc()*x);}
 else {DH.setSonuc(DH.getSonuc()*Math.pow(arasonuc2,x));arasonuc2=0;}
 return DH.getSonuc();
 }

 public double bol(double x)
 {
 if(arasonuc2==0) {DH.setSonuc(DH.getSonuc()/x);}
 else {DH.setSonuc(DH.getSonuc()/Math.pow(arasonuc2,x));arasonuc2=0;}
 return DH.getSonuc();
 }

 public double gir(double x)
 {
 if(arasonuc2==0) {DH.setSonuc(x);}
 else {DH.setSonuc(Math.pow(arasonuc2,x));arasonuc2=0;}
 return DH.getSonuc();
 }

 public double oku()
 {
 arasonuc=DH.getSonuc();
 return arasonuc;
 }

 public double pow(double x)
 {
 // sonucun x inci kuvveti
 arasonuc=x;
 arasonuc2=x;
 return arasonuc;
 }

 public double kok(double x)
 {
 arasonuc=Math.sqrt(x);
 return arasonuc;
 }

 public double kare(double x)
 {
 arasonuc=x*x;
 return arasonuc;
 }

 public double bir_bolu_x(double x)
 {
 arasonuc=1.0/x;
 return arasonuc;
 }

 public double cos(double x)
 {
 arasonuc=Math.cos(x);
 return arasonuc;
 }

 public double sin(double x)
 {
 arasonuc=Math.sin(x);
 return arasonuc;
 }

 public double tan(double x)
 {
 arasonuc=Math.cos(x);
 return arasonuc;
 }


 public double RtoD(double x)
 {
 arasonuc=180.0/Math.PI*x;
 return arasonuc;
 }


 public double DtoR(double x)
 {
 arasonuc=Math.PI/180.0*x;
 return arasonuc;
 }

 public double acos(double x)
 {
 arasonuc=Math.acos(x);
 return arasonuc;
 }

 public double asin(double x)
 {
 arasonuc=Math.asin(x);
 return arasonuc;
 }

 public double atan(double x)
 {
  arasonuc=Math.atan(x);
  return arasonuc;
 }

 public double exp(double x)
 {
  arasonuc=Math.exp(x);
  return arasonuc;
 }

 public double ln(double x)
 {
  arasonuc=Math.log(x);
  return arasonuc;
 }

 public double pi()
 {
  arasonuc=Math.PI;
  return arasonuc;
 }

 public double log10(double x)
 {
  arasonuc=Math.log(x)/Math.log(10.0);
  return arasonuc;
 }

 public double isaretdegistir(double x)
 {
 arasonuc=-x;
 return arasonuc;
 }

 public String aratoString()
 {
 return ""+arasonuc;
 }

 }

